Subject: [precis] Introduction of draft-melnikov-precis-saslprepbis-00.txt (Username and Password Preparation Algorithms)

From: Alexey Melnikov <[email-masked]>
Date: Sat, 24 Mar 2012 15:52:10 +0100

Dear WG participants,

Peter and I posted
https://datatracker.ietf.org/doc/draft-melnikov-precis-saslprepbis/
which is an initial attempt to update RFC 4013 to use the Precis framework.

When compared to RFC 4013, the -00 draft does the following changes:

o  A single SASLprep algorithm was replaced by two separate
    algorithms: one for user names and another for passwords.
o  The new preparation algorithms use PRECIS instead of a Stringprep
    profile.  The algorithms are now Unicode version independent.

The basic idea for -00 was to try to preserve backward compatibility with RFC 4013 (for example there is a pre-processing step to map characters from the Unicode's "N" category to US-ASCII space) and identify cases where use of Precis framework as currently written (e.g. NameClass) will break that.

So please have a look at the draft and let Peter and I know what you think.

Best Regards,
Alexey

P.S. I am hoping that the draft can be used as the base of one of Precis deliverable.